package auctionconfig

const (
	// Times
	AuctionTime = 10 // 10 blocks = ~10-30 seconds

	// Lease Period Requirements (seconds)
	MinLeasePeriod = 3_600     // 1 hour
	MaxLeasePeriod = 8_035_200 // 3 months

	// Minimum required staked CLR to be a provider (i.e. to bid)
	ProviderMinLockedClr = 500
	// Amount slashed when a provider is offline during an audit
	ProviderLockedSlash = 100

	// Blocks between provider audit pings
	// 40 blocks ~40min-2hr
	ProviderPingFrequency = 40

	// Gas Fees
	AuctionGas = 10
)
